#!/bin/sh
# IBM Confidential
# OCO Source Materials
# 5724-M24
# (c) Copyright IBM Corp. 2005. All rights reserved.
# The source code for this program is not published or otherwise
# divested of its trade secrets, irrespective of what has been
# deposited with the U.S. Copyright Office.

usage() {
	echo The MONITOR database name must be specified.
}

if test 0 -eq $#	
	then
		usage 
	fi

db2 connect to $1
db2 set schema WBIRMADM
CURDIR=\'file:`pwd`/monWBIDSDBFunctions.jar\'
db2 call sqlj.install_jar\($CURDIR, \'WBIDSDBFunctions\'\)
db2 CREATE FUNCTION gmtTimestamp2Long\( GMTTSVal TIMESTAMP \) RETURNS DECIMAL\(19,0\) LANGUAGE java PARAMETER STYLE java NO SQL FENCED THREADSAFE DETERMINISTIC RETURNS NULL ON NULL INPUT EXTERNAL NAME \'WBIDSDBFunctions:com.ibm.wbimonitor.dataservices.db2.udfs.wbiudf.gmttimestamp2long\' NO EXTERNAL ACTION
db2 connect reset
db2 force application all
sleep 2
db2 force application all
sleep 2
db2 force application all
sleep 2
db2stop
db2rbind $1 -l out -r any
db2start
